:update_installer
title Ford Mod Helper - Update
echo [%date% - %time%] Entferne alte Updates>>"%homepath%\log\installer.log"
del "%homepath%\update.*"
del "%homepath%\beta-update.*"
cls
:check_connection
ping -n 1 www.conversmod.de >nul
if errorlevel 1 goto no_connection
goto check_download 
:no_connection
cls
echo Update notwendig oder angefordert.
echo Bitte vor dem Fortsetzen sicherstellen, 
echo dass der PC mit dem Internet verbunden ist.
echo Beliebige Taste fuer Neuversuch.
echo Zum Abbrechen Fenster schliessen.
pause>nul
cls
goto check_connection
:check_download
cls
echo [%date% - %time%] Pruefe Download-Routine>>"%homepath%\log\installer.log"
md "%homepath%\dltest"
"%homepath%\modules\wget.exe" --cut-dirs=2 -e robots=off http://spike1985.de/ConversMod/dltest.zip
if exist "%homepath%\dltest.zip" move "%homepath%\dltest.zip" "%homepath%\dltest"
if exist "%homepath%\dltest\dltest.zip" echo [%date% - %time%] Download-Routine ok>>"%homepath%\log\installer.log"
if exist "%homepath%\dltest\dltest.zip" goto check_unzip
cls
echo [%date% - %time%] Test Download-Routine fehlgeschlagen>>"%homepath%\log\installer.log"
echo Test Internetverbindung: Erfolgreich
echo.
echo Test der Download-Routine fehlgeschlagen.
echo Bitte pruefe ob dein Viten-Scanner wirklich deaktiviert ist.
echo Beliebige Taste fuer Neuversuch.
echo Zum Abbrechen Fenster schliessen.
pause>nul
cls
goto check_download
:check_unzip
cls
echo [%date% - %time%] Pruefe Unzip-Routine>>"%homepath%\log\installer.log"
"%homepath%\modules\7za.exe" x "%homepath%\dltest\dltest.zip" -o"%homepath%\dltest"
set testparam=0
set /p testparam=<"%homepath%\dltest\dltest.txt"
if %testparam%==success echo [%date% - %time%] Unzip-Routine ok>>"%homepath%\log\installer.log"
if %testparam%==success goto connection_ok
echo [%date% - %time%] Test Unzip-Routine fehlgeschlagen>>"%homepath%\log\installer.log"
echo Test Internetverbindung: Erfolgreich
echo Test Download-Routine: Erfolgreich
echo.
echo Test der Unzip-Routine fehlgeschlagen.
echo Bitte pruefe ob dein Viten-Scanner wirklich deaktiviert ist.
echo Beliebige Taste fuer Neuversuch.
echo Zum Abbrechen Fenster schliessen.
pause>nul
cls
goto check_unzip
:connection_ok
rmdir /s /q "%homepath%\dltest"
echo [%date% - %time%] Installer aktualisieren>>"%homepath%\log\installer.log"
if not exist "%homepath%\settings\beta.cms" "%homepath%\modules\wget.exe" --cut-dirs=2 -e robots=off http://spike1985.de/ConversMod/update.zip
if exist "%homepath%\settings\beta.cms" "%homepath%\modules\wget.exe" --cut-dirs=2 -e robots=off http://spike1985.de/ConversMod/beta-update.zip
title Ford Mod Helper - Update
if exist "%homepath%\beta-update.zip" ren "%homepath%\beta-update.zip" update.zip
cls
echo entpacke Update
echo [%date% - %time%]  Update entpacken>>"%homepath%\log\installer.log"
md "%homepath%\update"
"%homepath%\modules\7za.exe" x -y "%homepath%\update.zip" -o"%homepath%\modules"
echo Update entpackt.
echo [%date% - %time%]  Update entpackt>>"%homepath%\log\installer.log"
del "%homepath%\update.zip"
echo [%date% - %time%] Installer aktualisiert>>"%homepath%\log\installer.log"
if not exist "%homepath%\modules\startup.bat" goto runonce
:update_startup
if not exist "%homepath%\modules\startup.bat" goto runonce
echo [%date% - %time%] Aktualisiere Startup>>"%homepath%\log\installer.log"
del "%homepath%\startup.bat"
copy "%homepath%\modules\startup.bat" "%homepath%\"
del "%homepath%\modules\startup.bat"
echo [%date% - %time%] Startup aktualisiert>>"%homepath%\log\installer.log"
:runonce
if exist "%homepath%\modules\runonce.bat" echo [%date% - %time%] Rufe runonce auf>>"%homepath%\log\installer.log"
if exist "%homepath%\modules\runonce.bat" call "%homepath%\modules\runonce.bat"
cls
echo Installer aktualisiert
timeout /t 2 >nul
